### Method

# Gtk InfoBaradd_buttons

deprecated: 4.10

#### Declaration [src]

    void
    gtk_info_bar_add_buttons (
      GtkInfoBar* info_bar,
      const char* first_button_text,
      ...
    )

#### Description [src]

Adds multiple buttons.

This is the same as calling `gtk_info_bar_add_button()` repeatedly. The variable argument list should be `NULL`-terminated as with `gtk_info_bar_new_with_buttons()`. Each button must have both text and response ID.

Deprecated since: 4.10

Please do not use it in newly written code.

This method is not directly available to language bindings.

#### Parameters

`first_button_text`

  Type: `const char*`

  Button text.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Response ID for first button, then more text-response_id pairs, ending with `NULL`.